#ifndef __REG9030_H
#define __REG9030_H

/*******************************************************************************
 * Copyright (c) 2000 PLX Technology, Inc.
 * 
 * PLX Technology Inc. licenses this software under specific terms and
 * conditions.  Use of any of the software or derviatives thereof in any
 * product without a PLX Technology chip is strictly prohibited. 
 * 
 * PLX Technology, Inc. provides this software AS IS, WITHOUT ANY WARRANTY,
 * EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  PLX makes no guarantee
 * or representations regarding the use of, or the results of the use of,
 * the software and documentation in terms of correctness, accuracy,
 * reliability, currentness, or otherwise; and you rely on the software,
 * documentation and results solely at your own risk.
 * 
 * IN NO EVENT SHALL PLX BE LIABLE FOR ANY LOSS OF USE, LOSS OF BUSINESS,
 * LOSS OF PROFITS, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES
 * OF ANY KIND.  IN NO EVENT SHALL PLX'S TOTAL LIABILITY EXCEED THE SUM
 * PAID TO PLX FOR THE PRODUCT LICENSED HEREUNDER.
 * 
 ******************************************************************************/

/******************************************************************************
 * 
 * File Name:
 *
 *      Reg9030.h
 *
 * Description:
 *
 *      This file defines all the PLX 9030 chip Registers.
 *
 * Revision:
 *
 *      05-10-00 : PCI Host SDK v3.10
 *
 ******************************************************************************/


#ifdef __cplusplus
extern "C" {
#endif

#ifndef PCI_DEVICE_ID_PLX_9030
#define PCI_DEVICE_ID_PLX_9030   0x9030
#endif

/* PCI Configuration Registers */
#define PCI9030_VENDOR_ID            0x000
#define PCI9030_COMMAND              0x004
#define PCI9030_REV_ID               0x008
#define PCI9030_CACHE_SIZE           0x00C
#define PCI9030_PCI_BASE_0           0x010
#define PCI9030_PCI_BASE_1           0x014
#define PCI9030_PCI_BASE_2           0x018
#define PCI9030_PCI_BASE_3           0x01C
#define PCI9030_PCI_BASE_4           0x020
#define PCI9030_PCI_BASE_5           0x024
#define PCI9030_CIS_PTR              0x028
#define PCI9030_SUB_ID               0x02C
#define PCI9030_PCI_BASE_EXP_ROM     0x030
#define PCI9030_CAP_PTR              0x034
#define PCI9030_PCI_RESERVED         0x038
#define PCI9030_INT_LINE             0x03C
#define PCI9030_PM_CAP_ID            0x040
#define PCI9030_PM_CSR               0x044
#define PCI9030_HS_CAP_ID            0x048
#define PCI9030_VPD_CAP_ID           0x04C
#define PCI9030_VPD_DATA             0x050


/* Local Configuration Registers */
#define PCI9030_SPACE0_RANGE         0x000
#define PCI9030_SPACE1_RANGE         0x004
#define PCI9030_SPACE2_RANGE         0x008
#define PCI9030_SPACE3_RANGE         0x00C
#define PCI9030_EXP_ROM_RANGE        0x010
#define PCI9030_SPACE0_REMAP         0x014
#define PCI9030_SPACE1_REMAP         0x018
#define PCI9030_SPACE2_REMAP         0x01C
#define PCI9030_SPACE3_REMAP         0x020
#define PCI9030_EXP_ROM_REMAP        0x024
#define PCI9030_DESC_SPACE0          0x028
#define PCI9030_DESC_SPACE1          0x02C
#define PCI9030_DESC_SPACE2          0x030
#define PCI9030_DESC_SPACE3          0x034
#define PCI9030_DESC_EXP_ROM         0x038
#define PCI9030_BASE_CS0             0x03C
#define PCI9030_BASE_CS1             0x040
#define PCI9030_BASE_CS2             0x044
#define PCI9030_BASE_CS3             0x048
#define PCI9030_INT_CTRL_STAT        0x04C
#define PCI9030_EEPROM_CTRL          0x050
#define PCI9030_GP_IO_CTRL           0x054
#define PCI9030_PM_DATA_SELECT       0x070
#define PCI9030_PM_DATA_SCALE        0x074


/* Additional register defintions */
#define MAX_PCI9030_REG_OFFSET       0x078

#define PCI9030_EEPROM_SIZE          0x90


#ifdef __cplusplus
}
#endif

#endif
