/*
 * plxtypes.h
 *
 * data types for communication with plx driver
 * Written by: niko.neufeld@cern.ch CERN/LHCb 2002
 */

/* $Id: plxtypes.h,v 1.1 2002/10/01 12:22:36 nikolaus Exp $ */

#ifndef _PLX_TYPES_
#define _PLX_TYPES_

#include <linux/types.h>

/* configure the local bus for access via PCI */
typedef struct plx_loc_mem {
	__u32    address_mask;    /* address bits to be decoded are 1 */ 
	__u32    address_start;   /* start address on local bus */
	__u32    base_address;	  /* physical base address */ 
	__u32    bus_type;        /* reserved */
} plx_loc_mem_t;

/* set/read a dword on local bus */
/* flag == 1 dword, flag == 2 word, flag == 3 byte */

#define PLX_DATA_WIDTH_MASK  0x3
#define PLX_DATA_WIDTH_LWORD 0x3
#define PLX_DATA_WIDTH_DWORD 0x2
#define PLX_DATA_WIDTH_WORD  0x1
#define PLX_DATA_WIDTH_BYTE  0x0 

typedef struct plx_loc_data {
     __u32    address;
     __u32    data;
     __u32    flag;      
} plx_loc_data_t;

/* set/read value of PCI 90xx register via PCI */
typedef struct plx_reg {
     __u8     offset;
     __u32    value;
} plx_reg_t;


#endif








