/*
 * lb_init.c 
 *
 * Initialise and address space on the local bus
 * 
 * author: niko.neufeld@cern.ch CERN/LHCb 2002
 *
 */
/*
 * $Id: lb_init.c,v 1.1 2002/07/30 19:48:00 nikolaus Exp $
 */
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
#include <fcntl.h>
#include <errno.h>
#include "plxtypes.h"
#include "plxioctl.h"
#include "lblib.h"

int _lb_fd[4] = {-1, -1, -1, -1};

int lb_init(u_int32_t loff, u_int32_t size)
{
    plx_loc_mem_t locmem;
    int status = 0;

    if ((_lb_fd[0] = open("/dev/plx0", O_RDWR)) == -1) {
	perror("lb_init open");
	return(errno);
    }
    locmem.address_mask =  ~(size - 1);
    locmem.address_start = loff;
    locmem.base_address =  0xe0000000;
    
    if (ioctl(_lb_fd[0], PLX_INIT_LOC_BUS, &locmem)) {
	perror("ioctl plx_init_loc_bus");
	status = 1;
	return(errno);
    }
#ifndef NDEBUG
    fprintf(stderr, "mask 0x%08x address 0x%08x base 0x%08x\n",
	    locmem.address_mask, locmem.address_start, locmem.base_address);
#endif
    return status;
}

