/*
 * lb_read.c
 *
 * functions to read from the CCPC local bus
 *
 * author: niko.neufeld@cern.ch CERN/LHCb 2002
 */
/* $Id: lb_read.c,v 1.2 2002/08/25 15:50:48 nikolaus Exp $ */
#include <sys/types.h>
#include <sys/ioctl.h>
#include <stdio.h>
#include <errno.h>
#include "plxtypes.h"
#include "plxioctl.h"
#include "lblib.h"

int lb_read_word(u_int32_t addr, u_int32_t *val)
{
    struct plx_loc_data dat;
    int status = 0;
    
    dat.address = addr;
    dat.flag = PLX_DATA_WIDTH_DWORD;
    if (ioctl(_lb_fd[0], PLX_READ_LOC_BUS, &dat)) {
	perror("ioctl plx_read_loc_bus");
	status = -1;
    }
    *val = dat.data;
    return status;

}

int lb_read_hword(u_int32_t addr, u_int16_t *val)
{
     struct plx_loc_data dat;
     int status = 0;

     dat.address = addr;
     dat.flag = PLX_DATA_WIDTH_WORD;
     if (ioctl(_lb_fd[0], PLX_READ_LOC_BUS, &dat)) {
	  perror("ioctl plx_read_loc_bus");
	  status = -1;
     }
     *val = dat.data;
     return status;
}

int lb_read_byte(u_int32_t addr, u_int8_t *val)
{
     struct plx_loc_data dat;
     int status = 0;

     dat.address = addr;
     dat.flag = PLX_DATA_WIDTH_BYTE;
     if (ioctl(_lb_fd[0], PLX_READ_LOC_BUS, &dat)) {
	  perror("ioctl plx_read_loc_bus");
	  status = -1;
     }
     *val = dat.data;
     return status;
}
