/*
 * lb_write.c 
 *
 * functions to write to the local bus
 * 
 * author: niko.neufeld@cern.ch CERN/LHCb 2002
 *
 */
/*
 * $Id: lb_write.c,v 1.1 2002/07/30 19:48:00 nikolaus Exp $
 */
#include <sys/types.h>
#include <sys/ioctl.h>
#include <stdio.h>
#include <errno.h>
#include "plxioctl.h"
#include "plxtypes.h"
#include "lblib.h"

int lb_write_word(u_int32_t addr, u_int32_t val)
{
    struct plx_loc_data dat;
    int status = 0;
    
    dat.address = addr;
    dat.data = val;
    dat.flag = PLX_DATA_WIDTH_DWORD;
    if (ioctl(_lb_fd[0], PLX_WRITE_LOC_BUS, &dat)) {
	perror("ioctl plx_write_loc_bus");
	  status = -1;
     }
     return status;
}

int lb_write_hword(u_int32_t addr, u_int16_t val)
{
    struct plx_loc_data dat;
    int status = 0;
    
    dat.address = addr;
    dat.data = val;
    dat.flag = PLX_DATA_WIDTH_WORD;
    if (ioctl(_lb_fd[0], PLX_WRITE_LOC_BUS, &dat)) {
	perror("ioctl plx_write_loc_bus");
	  status = -1;
     }
     return status;
}

int lb_write_byte(u_int32_t addr, u_int8_t val)
{
    struct plx_loc_data dat;
    int status = 0;
    
    dat.address = addr;
    dat.data = val;
    dat.flag = PLX_DATA_WIDTH_BYTE;
    if (ioctl(_lb_fd[0], PLX_WRITE_LOC_BUS, &dat)) {
	perror("ioctl plx_write_loc_bus");
	  status = -1;
     }
     return status;
}
