/*
 * lblib.h 
 *
 * Declarations for the CCPC local bus library
 * 
 * author: niko.neufeld@cern.ch CERN/LHCb 2002
 *
 */
/*
 * $Id: lblib.h,v 1.2 2002/08/25 15:50:48 nikolaus Exp $
 */
#ifndef _LBLIB_H_
#define _LBLIB_H_
#include <sys/types.h>

/* the following return 0 on success and < 0 on failure */

int lb_write_word(u_int32_t addr, u_int32_t val);
int lb_write_hword(u_int32_t addr, u_int16_t val);
int lb_write_byte(u_int32_t addr, u_int8_t val);
int lb_read_word(u_int32_t addr, u_int32_t *val);
int lb_read_hword(u_int32_t addr, u_int16_t *val);
int lb_read_byte(u_int32_t addr, u_int8_t *val);
/** @fn lb_init(u_int32_t loff, u_int32_t size)
    @brief maps a local address space
    @param loff relative offset in local address space
    @param size size of local address space
*/
int lb_init(u_int32_t loff, u_int32_t size);

/* globals */

#ifdef __LBSYS
extern int _lb_fd[];
extern int plx_write_reg(u_int8_t off, u_int32_t val);
extern int plx_read_reg(u_int8_t off, u_int32_t *val);
#endif /* ifdef __LBSYS */

#endif /* ifndef _LBLIB_H_ */
