#include <stdio.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#include <linux/types.h>

#include "lblib.h"

void memdump(unsigned long from, unsigned long range) 
{
     unsigned long i, j;
     u_int32_t value;

     for (j = 0, i = from; i < from + range; ++j, i+=4) {
	  if (!(j % 8)) {
	       printf("\n0x%08lx: ", i);
	  }
	  if (!lb_read_word(i, &value)) {
	       printf("%08x ", value);
	  } else {
	       printf("???????? ");
	  }
     }
     printf("\n");
}

void memdumpb(unsigned long from, unsigned long range) 
{
     unsigned long i, j;
     u_int8_t value;

     for (j = 0, i = from; i < from + range; ++j, ++i) {
	  if (!(j % 16)) {
	       printf("\n0x%08lx: ", i);
	  }
	  if (!lb_read_byte(i, &value)) {
	       printf("%02x ", value);
	  } else {
	       printf("?? ");
	  }
     }
     printf("\n");
}

#define LOCAL_OFFSET 0x0
#define LOCAL_SIZE   0x10000
int main(int argc, char **argv)
{

    if (lb_init(LOCAL_OFFSET, LOCAL_SIZE)) {
	perror("local bus init");
	exit(errno);
    }
    
    memdump(0, 256);
    exit(0);
}
     
