#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

void listregions(unsigned long size) 
{
     unsigned long base = 0;
     
     do {
	  base -= size;
	  printf("from 0x%08x\n", base);
     } while (base);
}

int main(int argc, char **argv) 
{
     unsigned long size, mask;

     if (argc < 2) {
	  fprintf(stderr, "usage: regsearch size\n");
	  exit(1);
     }
     size = strtoul(argv[1], NULL, 16);
     
     if (size == 0) {
	  printf("not allowed value 0\n");
	  exit(1);
     }
     
     mask = 0x80000000;

     while (!(size & mask)) mask /= 2;
     
     if ((mask - 1) & size) {
	  printf("0x%08x not a power of two. Setting to 0x%08x\n",
		 size, 2 * mask);
	  size = 2 * mask;
     }

     listregions(size);
     exit(0);
}
	  
